<?php
$host = '34.71.207.9'; // Dirección del servidor
$db = 'postgres'; // Nombre de la base de datos
$user = 'accounting'; // Usuario de la base de datos
$pass = 'Accounting_2024'; // Contraseña del usuario
$charset = 'utf8'; // Conjunto de caracteres
$port="5432";

$dsn = "pgsql:host=$host;port=$port;dbname=$db"; // Data Source Name

$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION, // Modo de errores
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC, // Modo de obtención de datos
    PDO::ATTR_EMULATE_PREPARES   => false, // Emulación de preparaciones
];

try {
    $pdo = new PDO($dsn, $user, $pass, $options);
    echo "Conexión exitosa a la base de datos";

    // Consulta para obtener las tablas en el esquema 'sch02' 
    $schema = 'sch02'; // Nombre del esquema 
    $table = 'table_invoice'; // Nombre de la tabla 
    $query = $pdo->prepare("SELECT * FROM $schema.$table LIMIT 100"); 
    $query->execute(); // Mostrar los registros 
    echo "Primeros 100 registros de la tabla $schema.$table:<br>"; 
    while ($row = $query->fetch()) {
     echo "<pre>"; print_r($row); 
     echo "</pre>";
    }

    $table = 'table_invoice_items'; // Nombre de la tabla 
    $query = $pdo->prepare("SELECT * FROM $schema.$table LIMIT 100"); 
    $query->execute(); // Mostrar los registros 
    echo "Primeros 100 registros de la tabla $schema.$table:<br>"; 
    while ($row = $query->fetch()) {
     echo "<pre>"; print_r($row); 
     echo "</pre>";
    }

} catch (PDOException $e) {
    echo "Error en la conexión: " . $e->getMessage();
}
?>
